Page MenuHomePhabricator

Plan release of new Huggle (3.3.0 / 3.2.1)
Closed, ResolvedPublic

Description

We need to release new version.

I am still not sure if we should consider this major, or minor update, new Huggle has complete rewrite of configuration parser as it's now using YAML. That is a big change, so I feel like this might be 3.3.0, although the rewrite is not yet finished, we can only parse YAML for project config so far.

Other than that there aren't that many really big changes, but it's still quite a number of updates: https://github.com/huggle/huggle3-qt-lx/compare/3.2.0...master

So what is needed now:

  • Decide if we call this 3.3.0 or 3.2.1
  • Check if there aren't any important things that we want to fix / implement before release
  • Test if it works really well with no issues
  • Find someone with Mac and release it

Event Timeline

Petrb created this task.Sep 4 2017, 9:47 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 4 2017, 9:47 AM
Petrb triaged this task as High priority.Sep 4 2017, 9:48 AM
Petrb added subscribers: Addshore, Krenair.

3.3.0, numbers are cheap :)

Petrb updated the task description. (Show Details)Sep 4 2017, 10:58 AM
Petrb added a comment.Sep 8 2017, 9:32 AM

Would be nice to fix before we do that: T175241

Petrb updated the task description. (Show Details)Sep 13 2017, 6:22 PM
Petrb added a subscriber: RichSmith.

@RichSmith can you build 3.3.0 for mac?

RichSmith moved this task from Backlog to Doing on the Huggle board.Sep 13 2017, 7:21 PM
RichSmith closed this task as Resolved.Sep 13 2017, 7:50 PM
RichSmith updated the task description. (Show Details)
RichSmith updated the task description. (Show Details)